package com.mortals.xhx.module.masterplate.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.module.design.model.DesignMasterplateEntity;
import com.mortals.xhx.module.design.model.DesignMasterplateQuery;
import com.mortals.xhx.module.design.service.DesignMasterplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.masterplate.dao.MasterplateUseInfoDao;
import com.mortals.xhx.module.masterplate.model.MasterplateUseInfoEntity;
import com.mortals.xhx.module.masterplate.service.MasterplateUseInfoService;
/**
* MasterplateUseInfoService
* 模版使用信息 service实现
*
* @author zxfei
* @date 2022-06-08
*/
@Service("masterplateUseInfoService")
public class MasterplateUseInfoServiceImpl extends AbstractCRUDServiceImpl<MasterplateUseInfoDao, MasterplateUseInfoEntity, Long> implements MasterplateUseInfoService {

    @Autowired
    private DesignMasterplateService designMasterplateService;

    @Override
    protected MasterplateUseInfoEntity findBefore(MasterplateUseInfoEntity entity, PageInfo pageInfo, Context context) throws AppException {
        return entity;
    }

    @Override
    protected void saveAfter(MasterplateUseInfoEntity entity, Context context) throws AppException {
        DesignMasterplateQuery update = new DesignMasterplateQuery();
        update.setId(entity.getMasterplateId());
        update.setMasterplateUseNumIncrement(1);
        DesignMasterplateEntity designMasterplateEntity = designMasterplateService.get(entity.getMasterplateId());
        if(designMasterplateEntity!=null) {
            designMasterplateService.update(update);
        }
    }
}