package com.mortals.xhx.module.question.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.question.model.QuestionReplyEntity;
import com.mortals.xhx.module.question.service.QuestionReplyService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
/**
*
* 问答自动回复
*
* @author zxfei
* @date 2022-06-29
*/
@RestController
@RequestMapping("question/reply")
public class QuestionReplyController extends BaseCRUDJsonBodyMappingController<QuestionReplyService,QuestionReplyEntity,Long> {

    public QuestionReplyController(){
        super.setModuleDesc( "问答自动回复");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @Override
    protected void doListBefore(QuestionReplyEntity query, Map<String, Object> model, Context context) throws AppException {
        Map<String,String> orderCols = new HashMap<>();
        orderCols.put("createTime","DESC");
        query.setOrderCols(orderCols);
    }

}